<?php

	class MaintenancePane extends Widget {
		public function __construct( $id , $parent ) {
			parent::__construct( $id , $parent );
		}

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			$m = $GLOBALS["maintenance"];
			$m["epoch"]=FNTH_convert_YmdHis_to_unix( $m["until"] );
			$m["epochms"]=$m["epoch"]*1000;
			$this->setParam( "maintenance" , $m );
			FNTHPage::addUniquePageFullInit( sprintf( "InitMaintenancePane('%s',%s);\n",
				$this->getId(),
				json_encode( $m ) ) );
			return parent::render();
		}

	}

?>
